---
apiVersion: v1
kind: ConfigMap
metadata:
  name: mid-envfile
  namespace: edoc2
data:
  ##缓存类型
  CACHEMODULE: "redis"
  ##redis主从模式 host1
  RedisHostID1: "redis-sentinel0"
  ##redis主从模式 host2
  RedisHostID2: "redis-sentinel1"
  ##redis主从模式 host3
  RedisHostID3: "redis-sentinel2"
  ##redis主从模式 host1 port
  #RedisPort1: "26379"
  ##redis主从模式 host2 port
  #RedisPort2: "26379"
  ##redis主从模式 host3 port
  #RedisPort3: "26379"
  #Redis哨兵masterName，默认值mymaster
  #RedisMasterName: mymaster
  ##Redis认证密码，默认值ZgDSvOoY5Q
  #RedisPassword: ZgDSvOoY5Q
  ##维持连接数最小值，避免全部释放。程序默认50个连接
  #RedisPoolMinSiz: "50"
  ##连接池数量。程序默认1000个连接
  #RedisPoolSize: "1000"
  ##MQ  
  ##MQ供应商0:RabbitMQ，1:Aliyun.AMQP，511及以后版本适用
  #MQSupplier: "0"
  ##MQ的连接地址，没端口不加，集群下有多个主机用“,”分隔例:192.168.251.142:5672,192.168.251.155:5672 511及以后版本适用
  MQEndPoint: "rabbitmq-0.rabbitmq.edoc2.svc.cluster.local:5672,rabbitmq-1.rabbitmq.edoc2.svc.cluster.local:5672,rabbitmq-2.rabbitmq.edoc2.svc.cluster.local:5672"  
  ##MQ的虚拟访问主机名 511及以后版本适用
  #MQVHostName: "/"
  ##MQ的访问用户名 511及以后版本适用
  #MQUserName: "admin"
  ##MQ的访问密码 511及以后版本适用
  #MQPwd: "edoc2"
  ##DB
  ##数据库类型。1:sqlserver,2:oracle,3:mysql,4:达梦,5:postgresql,6:人大金仓
  #DatabaseType: "3"
  ##数据库地址
  DatabaseServerName: "middle-proxy"
  ##数据库名字
  #DatabaseName: "edoc2v5"
  ##数据库账号
  DatabaseUserName: "repl"
  ##数据库密码
  DatabasePassword: "Xjb0^DDy"
  ##数据库端口
  #DatabaseServerPort: "3306"
  ##数据库类型。1:sqlserver,2:oracle,3:mysql,4:达梦,5:postgresql,6:人大金仓 v6.3.0.0及以后版本适用
  #SyncDatabaseType: "3"
  #数据库地址,mysql库情况下为此默认值，其他库默认值为DatabaseServerName环境变量的值 v6.3.0.0及以后版本适用
  SyncDatabaseServerName: "middle-proxy"
  ##数据库名字v6.3.0.0及以后版本适用
  #SyncDatabaseName: "edoc2sync"
  ##数据库账号,mysql库情况下为此默认值，其他库默认值为DatabaseUserName环境变量的值 v6.3.0.0及以后版本适用
  SyncDatabaseUserName: "repl"
  ##数据库密码,mysql库情况下为此默认值，其他库默认值为DatabaseUserPassword环境变量的值 v6.3.0.0及以后版本适用
  SyncDatabasePassword: "Xjb0^DDy"
  ##数据库端口,mysql库情况下为此默认值，其他库默认值为DatabaseServerPort环境变量的值 v6.3.0.0及以后版本适用
  #SyncDatabaseServerPort: "3306"
  ##es地址。es集群环境配置用,隔开。如：http://es:9200,http://es2:9200,http://es3:9200 510及以后版本适用
  ESURL: "http://middle-proxy:9200"
  ##es容器内存限制
  ES_JAVA_OPTS: "-Xmx8g-Xms8g"
  #grpc 默认最大接收消息大小
  GrpcMaxReceiveMessageSize: "100"